Quadplex Scrabble requires a Java plugin of version 1.4 or later to be installed on your computer. While the game is loading you may be asked to install this plugin. You may also download it here. If you know that you have the java plugin and yet the game does not work you can try again using failsafe mode.

Once the game has loaded click on Autostart to automatically find a Scrabble opponent and start your game.

This message should disappear automatically when the gameroom has loaded. If this does not happen, click here to remove it.